use serde::{Deserialize, Serialize};

use crate::game::player_data::PlayerData;

pub mod game_state;
pub mod global_data;
pub mod player_data;

#[derive(Debug, Deserialize, Serialize, Clone, Eq, PartialEq, Copy)]
pub enum Phase {
    Day,
    Night,
}

impl Default for Phase {
    fn default() -> Self {
        Self::Night
    }
}

#[derive(Debug, Clone)]
pub enum MessageSource {
    Player(Box<PlayerData>),
    Host,
    Automated,
}
